#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/src2pkg/src2pkg.conf.new
config etc/src2pkg/DONT_PURGE.locales.new

if ! [ $(ls var/log/packages |grep src2pkg |grep upgraded) ] ; then

	echo ""
	echo "  src2pkg uses a small shared library called libsentry"
	echo "  and a statically-compiled version of tar for creating"
	echo "  packages. This 'noarch' package does not include these"
	echo "  in pre-compiled form. Instead they are compiled on your"
	echo "  system to assure compatibility no matter which OS or"
	echo "  version you are running. To compile them you need"
	echo "  to run the command 'src2pkg --setup' as user 'root'."
	echo ""
	sleep 10
else
 true
fi